Bug 28233 - [PATCH] Fixes and Updates to HWPF
Summary: [PATCH] Fixes and Updates to HWPF
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HDF (show other bugs)
Version: unspecified
Hardware: Other other
: P3 critical (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-06 15:27 UTC by Piers
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Range.java, TableRow.java, CharacterRun.java, Paragraph.java (9.96 KB, patch)
2004-04-06 15:29 UTC, Piers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piers 2004-04-06 15:27:55 UTC
hwpf/usermodel/Range.java
-------------------------
text() fixed to correctly return unicode text.

findRange() fixed to prevent loop indexes going out of bounds, causing an 
exception.


hwpf/usermodel/TableRow.java
----------------------------
Removed constraint requiring levelNum==1 in constructor that doesn't work when 
dealing with documents that include sections, causing an exception.



hwpf/usermodel/CharacterRun.java
--------------------------------
Changed to use updateSprm() rather than addSprm() to match code elsewhere that 
prevents additional sprms being created if they already exist.

Also added accessors for properties that Word uses when handling embedded 
objects such as Hyperlinks, Pictures, OleObjects etc.


hwpf/usermodel/Paragraph.java
-----------------------------
Added accessors for Ilfo and Ilvl used by Word for numbered lists.
Comment 1 Piers 2004-04-06 15:29:28 UTC
Created attachment 11155 [details]
Range.java, TableRow.java, CharacterRun.java, Paragraph.java
Comment 2 Glen Stampoultzis 2004-08-24 12:38:05 UTC
I've applied this patch... very sorry it too so long.  Needed to get some other
things out of the way first.  BTW hwpf has failing test's.  Don't suppose you
could look into that?